Bug 31796 - Check for free space
Check for free space
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.4
Other Linux
: P5 normal (vote)
: UCS 4.4-3-errata
Assigned To: Jannik Ahlers
Dirk Wiesenthal
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 07:04 CEST by Stefan Gohmann
Modified: 2019-12-11 16:49 CET (History)
5 users (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-06-24 07:04:14 CEST
In a test environment someone installed an app but he had not enough free space. Maybe we could check and abort in univention-lib or we could give the minimum free space in the ini file.
Comment 1 Dirk Wiesenthal univentionstaff 2017-04-07 10:18:36 CEST
Still holds for Docker Apps. In fact, Docker Apps use more disk space. (Although disk space should have increased since 2013)
Comment 2 Jannik Ahlers univentionstaff 2019-11-25 11:27:42 CET
I added a disk space check.
For some reason I had to duplicate some of the code into files under /umc. I don't know why it has to be this way, but I based my check on the memory check that was already there.

ecae06650f Bug #31796: yaml
9062b424f4 Bug #31796: translation
b13f9df871 Bug #31796: changelog
e4926f34cc Bug #31796: check for enough free disk space before app installation

Successful build
Package: univention-appcenter
Version: 8.0.11-89A~4.4.0.201911251117
Branch: ucs_4.4-0
Scope: errata4.4-2
Comment 3 Felix Botner univentionstaff 2019-11-26 09:04:28 CET
Seems that this breaks the installation of a school slave (https://soft-test-uvmm.knut.univention.de:6080/vnc_auto.html?port=6080&path=?token=7b3d6fbe-5a94-449e-9b7f-6d858d77469f&title=build_slave1-install-test-school-4.4-2%40soft-test01.knut.univention.de)

During the join of the slave i get

Going to install UCS@school (4.4 v4)
Free disk space could not be determined
(shall_have_enough_free_disk_space) The application requires %(minimum)d MB of free disk space but only %(current)d MB are available.
Unable to install ucsschool. Aborting ...

In a ucs@school domain, a join hook installs the school app on every system during the join.
Comment 4 Jannik Ahlers univentionstaff 2019-11-26 13:27:41 CET
I repaired it, there was a problem if the directory /var/lib/docker does not exist.

Successful build
Package: univention-appcenter
Version: 8.0.11-90A~4.4.0.201911261323
Branch: ucs_4.4-0
Scope: errata4.4-2
Comment 5 Dirk Wiesenthal univentionstaff 2019-11-26 18:29:26 CET
I have reverted the changes for now.

univention-appcenter (8.0.11-93)

should be the same as

univention-appcenter (8.0.11-88)
Comment 6 Jannik Ahlers univentionstaff 2019-11-27 12:24:05 CET
I reapplied the commits and implemented your QA feedback in branch:
jahlers/31796-free-disk-space
Comment 7 Jannik Ahlers univentionstaff 2019-12-09 11:08:35 CET
Merged and built.

Successful build
Package: univention-appcenter
Version: 8.0.11-96A~4.4.0.201912091101
Branch: ucs_4.4-0
Scope: errata4.4-3
Comment 8 Dirk Wiesenthal univentionstaff 2019-12-09 15:01:35 CET
Merge OK.
YAML OK.
Comment 9 Erik Damrose univentionstaff 2019-12-11 16:49:34 CET
<http://errata.software-univention.de/ucs/4.4/392.html>